esphome:
  name: demo-sensor-temphum
  friendly_name: DEMO_SENSOR_TEMPHUM

esp8266:
  board: d1_mini

# Enable logging
logger:

web_server:
  port: 80

# Enable Home Assistant API
api:
  encryption:
    key: "<replace with your key>"

ota:
  - platform: esphome
    password: "<replace with your password or remove this line completely>"

wifi:
  networks:
  - ssid: !secret wifi_ssid
    password: !secret wifi_password
  - ssid: !secret wifi_ssid2
    password: !secret wifi_password2

captive_portal:
    

sensor:
  - platform: dht
    model: DHT22
    pin: D5
    temperature:
      id: tempvaill
      name: "Demo Sensor Temperature"
    humidity:
      id: humvaill
      name: "Demo Sensor Humidity"
    update_interval: 10s
    